SCANTAILOR-CLI(1)

NAME
scantailor-cli - an interactive post-processing tool for scanned pages

SYNOPSIS
scantailor-cli [options] <images|directory|-> <output_directory>

scantailor-cli [options] <project_file> [output_directory]

DESCRIPTION
scantailor-cli is an interactive post-processing tool for scanned pages. It performs operations such as page splitting, deskewing, adding/removing borders, and others. You give it raw scans, and you get pages ready to be printed or assembled into a PDF or DJVU file. Scanning, optical character recognition, and assembling multi-page documents are out of scope of this project.

OPTIONS

-h,--help
    Show help about options

-v,--verbose
    Turn on verbose output, with all the available data

-l=,--layout=<0|1|1.5|2>
    0 - auto detect (default)
    1 - one page layout
    1.5 - one page layout but cutting is needed
    2 - two page layout

--layout-direction=,-ld=<lr|rl>
    default: lr

--orientation=<left|right|upsidedown|none>
    default: none

--rotate=<0.0...360.0>
    it also sets deskew to manual mode

--content-detection=<cautious|normal|aggressive>
    default: normal

--content-box=<<left_offset>x<top_offset>:<width>x<height>>
    if set the content detection is se to manual mode
    example: --content-box=100x100:1500x2500

--margins=<number>
    sets left, top, right and bottom margins to same number.

--margins-left=<number>
    sets left margins to same number.

--margins-right=<number>
    sets right margins to same number.

--margins-top=<number>
    sets top margins to same number.

--margins-bottom=<number>
    sets bottom margins to same number.

---alignment=<top|center|bottom>
    sets vertical and horizontal alignment.

--alignment-vertical=<top|center|bottom>
    sets vertical alignment.

--alignment-horizontal=<left|center|right>
    sets horizontal alignment.

--dpi=<number>
    sets x and y dpi. (default: 600)

--dpi-x=<number>
    sets x dpi.

--dpi-y=<number>
    sets y dpi.

--output-dpi=<number>
    sets x and y output dpi. (default: 600)

--output-dpi-x=<number>
    sets x output dpi.

--output-dpi-y=<number>
    sets y output dpi.

--color-mode=<black_and_white|color_grayscale|mixed>
    default: black_and_white

--white-margins
    default: false

--normalize-illumination
    default: false

--threshold=<n>
    n<0 thinner, n>0 thicker; default: 0

--despeckle=<off|cautious|normal|aggressive>
    default: normal

--dewarping=<off|auto>
    default: off

--depth-perception=<1.0...3.0>
    default: 2.0

--start-filter=<1...6>
    default: 4

--end-filter=<1...6>
    default: 6

--output-project=,-o=<project_name>

AUTHOR
scantailor was written by Joseph Artsimovich <joseph_a@mail.ru>.

This manual page was written by Alexander Pozdnyakov <almipo@mail.ru>